﻿//------------------------------------------------------------------------------
//	MapControl.Feature.js 
//
// <copyright from='2004' to='2005' company='Microsoft Corporation'> 
// Copyright (c) Microsoft Corporation. All Rights Reserved. 
// Information Contained Herein is Proprietary and Confidential. 
// </copyright>
//
// Owner: a-pratin, keithkin
//
// <header>	$Header$</header>
//------------------------------------------------------------------------------
//Localizable Strings
var L_MapControlNavteq_Text = "&copy; 2006 NAVTEQ";
var L_MapControlImageCourtesyOfNASA_Text = "Image courtesy of NASA";
var L_MapControlHarrisCorp_Text = "&copy; Harris Corp, Earthstar Geographics LLC";
var L_MapControlImageCourtesyOfUSGS_Text = "Image courtesy of USGS";
var L_MapControlImageCourtesyOfPictometry_Text = "&copy; 2005 Pictometry International Corp.";
var L_MapControlImageCourtesyOfEarthData_Text = "&copy; EarthData";
var L_MapControlImageCourtesyOfGetmapping_Text = "&copy; Getmapping plc";
var L_MapControlImageCourtesyOfAND_Text = "&copy; AND";
var L_MapCopyrightMicrosoft = "&copy; 2006 Microsoft Corporation"; 
var L_MapControlPlatformName_Text = "Virtual Earth";

// RegisterNamespace
RegisterNamespaces("MapControl");

MapControl.Features = new function()
{	
	//Platform
	this.PlatformName = L_MapControlPlatformName_Text;

	//Copyright Strings
	this.Copyright = new function()
	{
		this.Navteq = L_MapControlNavteq_Text;
		this.ImageCourtesyOfNASA = L_MapControlImageCourtesyOfNASA_Text;
		this.HarrisCorp = L_MapControlHarrisCorp_Text;
		this.ImageCourtesyOfUSGS = L_MapControlImageCourtesyOfUSGS_Text;
		this.ImageCourtesyOfPictometry = L_MapControlImageCourtesyOfPictometry_Text;
	}	
	// images
	this.Image = new function()
	{
		this.PoweredLogo = "i/logo_powered_by.png";
	}		
	//MapStyle
	this.MapStyle = new function()
	{
		this.Road = true;
		this.Aerial = true;
		this.Hybrid = true;
		this.BirdsEye = true;		
	}
	this.BirdsEyeAtZoomLevel = 10;
		
	//scale
	this.ScaleBarKilometers = true;
}


