//------------------------------------------------------------------------------
// MapControl/Tools/PanTool.js
//
// <copyright from='2004' to='2005' company='Microsoft Corporation'> 
// Copyright (c) Microsoft Corporation. All Rights Reserved. 
// Information Contained Herein is Proprietary and Confidential. 
// </copyright>
//
// Owner: Codye
//
// <header>	$Header$</header>
//------------------------------------------------------------------------------

function PanTool()
{
	var moved = false;
	
	this.Init = function()
	{
	};
	
	this.Destroy = function()
	{
	};

	// The mouse down handler.  This just sets up a drag-pan session.
	function OnMouseDown(e)
	{
		moved = false;
		lastMouseX = GetMouseX(e);
		lastMouseY = GetMouseY(e);
		
		if (p_elSource.setCapture)
		{
			p_elSource.setCapture();
		}
		
		var clickX = originX + offsetX + GetMouseX(e) - x;
		var clickY = originY + offsetY + GetMouseY(e) - y;
		Fire("onstartcontinuouspan", CreateEvent(currentMode.PixelToLatLong(new Msn.VE.Pixel(clickX, clickY), currentView.zoomLevel)));	
	}
	
	function OnMouseMove(e)
	{
		var mouseX = GetMouseX(e);
		var mouseY = GetMouseY(e);
		PanMap(lastMouseX - mouseX, lastMouseY - mouseY);
		lastMouseX = mouseX;
		lastMouseY = mouseY;
		moved = true;
	}
	
	function OnMouseUp(e)
	{
		ComputeCenterPoint(true);
		
		if (p_elSource.releaseCapture)
		{
			p_elSource.releaseCapture();
		}
		
		// If a pan took place, call end pan
		if (moved)
		{
			Fire("onendcontinuouspan");
			Fire("onchangeview");
			moved = false;
		}
		
		// Call the click handler
		var clickX = originX + offsetX + GetMouseX(e) - x;
		var clickY = originY + offsetY + GetMouseY(e) - y;
		var clickEvent = CreateEvent(currentMode.PixelToLatLong(new Msn.VE.Pixel(clickX, clickY), currentView.zoomLevel));
		Fire("onmouseup", clickEvent);
		Fire("onclick", clickEvent);
	}
	
	this.OnMouseDown = OnMouseDown;
	this.OnMouseMove = OnMouseMove;
	this.OnMouseUp = OnMouseUp;
}


