//------------------------------------------------------------------------------
// Messenger.js 
//
// <copyright from='2004' to='2005' company='Microsoft Corporation'> 
// Copyright (c) Microsoft Corporation. All Rights Reserved. 
// Information Contained Herein is Proprietary and Confidential. 
// </copyright>
//
// Owner: kamonmo
//
// <header>	$Header$</header>
//------------------------------------------------------------------------------

//This function loads html page from IMActivityApp Site to pass the parameter for the initial map position
function ShareInMessenger() 
{
	var l = state.GetPermalink();
	var hiddenFrame = document.getElementById('shareInIMHiddenFrame');
	var scriptUrl = IMActivityAppCookieScriptUrl;
	if( l && (l.length > 0)) 
	{
		var paramsIndex = l.lastIndexOf('?');
		
		if(paramsIndex > 0) 
		{
			scriptUrl += l.substr(paramsIndex);
		}
	}
	hiddenFrame.src=scriptUrl;
	CheckPrerequisite();
}
function CheckPrerequisite() 
{
	var obj;
	try 
	{
		obj = new ActiveXObject("MSNMessenger.P4QuickLaunch");
	}
	catch(e) 
	{
		obj = null;
	}
	
	if(obj == null) 
	{
		if (navigator.appName != "Microsoft Internet Explorer")
		{
			VE_Help.Open(L_MessengerBrowserNotSupported_Text , "Help/" + window.locale + "/BrowserNotSupported.htm");
		}	
		else
		{
			var IEVersion=GetIEVersion();
			if(IEVersion < 5.5) 
			{
				VE_Help.Open(L_MessengerBrowserNotSupported_Text , "Help/" + window.locale + "/BrowserNotSupported.htm");
			} 
			else 
			{
				VE_Help.Open(L_MessengerMSNMessengerDownload_Text , "Help/" + window.locale + "/MessengerDownload.htm");
			}
		}
	} 
}


function GetIEVersion() 
{
	var useragent = navigator.userAgent;
	var IEIndex = useragent.indexOf("MSIE");
	if(IEIndex<0) 
	{
		return(0);
	} 
	else 
	{
		var endIndex = useragent.indexOf(";",IEIndex);
		if(endIndex<0) 
		{
			return(0);
		} 
		else 
		{
			var IEVersion = parseFloat(useragent.substring(IEIndex+5,endIndex));
			return(IEVersion);
		}
	}
}

