RegisterNamespaces('Msn.VE.Functions');

Msn.VE.Functions.setScrollPosition = function(elem, x, y)
{
	if (!elem)
		return;
		
	elem.scrollTop = y;
	elem.scrollLeft = x;
}

Msn.VE.Functions.setElementStyle = function(elem, cssStyle, value, units)
{
	if (!units)
		units = 'px';
		
	var style = Msn.VE.Constants.Css.Style;
	
	switch (cssStyle)
	{
		case style.Height:
			SetElementHeight(elem, value, units);
			break;
		
		case style.Width:
			SetElementWidth(elem, value, units);
			break;
			
		case style.Top:
			SetElementTop(elem, value, units);
			break;
		
		case style.Left:
			SetElementLeft(elem, value, units);
			break;
	}
	
	function SetElementHeight(elem, height, units)
	{
		try { elem.style.height = height + units; }
		catch(everything) { } 
	}
	
	function SetElementWidth(elem, width, units)
	{
		try { elem.style.width = width + units; }
		catch(everything) { }
	}
	
	function SetElementTop(elem, top, units)
	{
		try { elem.style.top = top + units; }
		catch(everything) { }
	}
	
	function SetElementLeft(elem, left, units)
	{
		try { elem.style.left = left + units; }
		catch(everything) { }
	}	
}