using System;
using System.Web;
using System.Net;

namespace Microsoft.Web.VirtualEarth
{
	
	public class VariantHandler : System.Web.IHttpHandler
	{
		private string flight;
		private WebResponse res;
			
		public void ProcessRequest(HttpContext context)
		{	
			//string flight = (string)context.Session["flight"];
			string flight = context.Request.QueryString["flight"];
			
			Uri uri = HttpContext.Current.Request.Url;
			string path = uri.GetLeftPart(UriPartial.Path);			
			string domain = path.Replace(uri.Segments[uri.Segments.Length - 1], "");
			
			domain = domain.Replace("http://localhost:97/veproxy", "");
			
			string url = "http://localhost/flight" + flight + domain + uri.Segments[uri.Segments.Length - 1];
			//context.Response.Write(url);			
			
			HttpWebRequest req = (HttpWebRequest)WebRequest.Create(url);
			res = req.GetResponse();
			
			context.Response.Clear();
			context.Response.ContentType = res.ContentType;
				
			System.IO.StreamReader sr = new System.IO.StreamReader(res.GetResponseStream(), System.Text.Encoding.UTF8);
			string str = sr.ReadToEnd();
			context.Response.Write(str);
			res.Close();
		}

		public bool IsReusable
		{
			get
			{
				return true;
			}
		}
	}
}
