//------------------------------------------------------------------------------
// Microsoft.Web.Css
//
// <copyright from='2004' to='2005' company='Microsoft Corporation'> 
// Copyright (c) Microsoft Corporation. All Rights Reserved. 
// Information Contained Herein is Proprietary and Confidential. 
// </copyright>
//
// Owner: sstchur
// Dependencies: none
//
// Comments:  The purpose of this file is to enumerate CSS properties so that we don't have to pass in strings all over the place that are easily mis-typed and difficult to debug
//
// <header>	$Header$</header>
//------------------------------------------------------------------------------

var Microsoft;
if (!Microsoft) Microsoft = {};
if (!Microsoft.Web) Microsoft.Web = {};

Microsoft.Web.Css = 
{
	Style:
	{
		Height: 0,
		Width: 1,
		Top: 2,
		Left: 3,
		Bottom: 4,
		Right: 5,
		Position: 6,
		Margin: 7,
		Padding: 8,
		Display: 9,
		Visibility: 10		
	},
	
	Units:
	{
		Auto: 'auto',
		Pixels: 'px',
		Points: 'pt',
		Ems: 'em',
		Percentage: '%'
	},
	
	Position:
	{
		Static: 'static',
		Relative: 'relative',
		Absolute: 'absolute'		
	},
	
	Display:
	{
		None: 'none',
		Block: 'block',
		Table: 'table',
		Inline: 'inline'
	},
	
	Visibility:
	{
		Visible: 'visible',
		Hidden: 'hidden'
	},
	
	Cursors:
	{
		Auto: 'auto',
		Default: 'default',
		Crosshair: 'crosshair',
		Pointer: 'pointer',
		Move: 'move',
		Wait: 'wait',
		Text: 'text',
		Help: 'help',
		NResize: 'n-resize',
		NEResize: 'ne-resize',
		NWResize: 'nw-resize',
		SResize: 's-resize',
		SEResize: 'se-resize',
		SWResize: 'sw-resize',
		EResize: 'e-resize',
		WResize: 'w-resize'
	}
}