//------------------------------------------------------------------------------
// API/Globals.js
//
// <copyright from='2004' to='2005' company='Microsoft Corporation'> 
// Copyright (c) Microsoft Corporation. All Rights Reserved. 
// Information Contained Herein is Proprietary and Confidential. 
// </copyright>
//
// Owner: Cthota, keithkin
//
// <header>	$Globals$</header>
//------------------------------------------------------------------------------
//Taxes
Msn.VE.API = new Object();
Msn.VE.API.Globals = new Object();
Msn.VE.API.Constants = new Object();

//Globals
Msn.VE.API.Globals.vemapinstances = null;
Msn.VE.API.Globals.veonbegininvokeevent = null;
Msn.VE.API.Globals.veonendinvokeevent = null;
Msn.VE.API.Globals.vefindresultsnpanel = null;
Msn.VE.API.Globals.language = "__language__";
Msn.VE.API.Globals.vecurrentversion = "__vecurrentversion__";
Msn.VE.API.Globals.vecurrentdomain = "__domainname__";
Msn.VE.API.Globals.veanalyticsenabled = "__analyticsenabled__";
Msn.VE.API.Globals.veomnitureaccount = "__omnitureaccount__";

Msn.VE.API.Globals.vedebug = false;
Msn.VE.API.Globals.analyticsInitialized = false;

//Constants
Msn.VE.API.Constants.omnitureurl = "http://stj.msn.com/br/om/js/s_code.js";
Msn.VE.API.Constants.imageryurl = Msn.VE.API.Globals.vecurrentdomain + "/imagery.ashx";
Msn.VE.API.Constants.iconurl = Msn.VE.API.Globals.vecurrentdomain + "/i/pins/poi_usergenerated.gif";
Msn.VE.API.Constants.mapcontroljs = Msn.VE.API.Globals.vecurrentdomain + "/mapcontrol.ashx";
Msn.VE.API.Constants.searchservice = Msn.VE.API.Globals.vecurrentdomain + "/search.ashx";
Msn.VE.API.Constants.directionsservice = Msn.VE.API.Globals.vecurrentdomain + "/directions.ashx";
Msn.VE.API.Constants.collectionservice = Msn.VE.API.Globals.vecurrentdomain + "/UserCollections.aspx";
Msn.VE.API.Constants.atlascompatjs = Msn.VE.API.Globals.vecurrentdomain + "/js/atlascompat.js";
Msn.VE.API.Constants.stylesheet = Msn.VE.API.Globals.vecurrentdomain + "/css/" + Msn.VE.API.Globals.language + "/api.css";
Msn.VE.API.Constants.erostylesheet = Msn.VE.API.Globals.vecurrentdomain + "/css/" + Msn.VE.API.Globals.language + "/ero.css";
Msn.VE.API.Constants.vedirectionsstarticon = Msn.VE.API.Globals.vecurrentdomain + "/i/pins/mapicon_start.gif";
Msn.VE.API.Constants.vedirectionsendicon = Msn.VE.API.Globals.vecurrentdomain + "/i/pins/mapicon_end.gif";
Msn.VE.API.Constants.vedirectionsstepicon = Msn.VE.API.Globals.vecurrentdomain + "/i/pins/RedCircle%1.gif";
Msn.VE.API.Constants.mapguid = "mapguid";
Msn.VE.API.Constants.contextid = "contextid";

//Dimensions
//Map defaults
Msn.VE.API.Globals.vemapheight = 400;
Msn.VE.API.Globals.vemapwidth = 600;
Msn.VE.API.Globals.vemapzoom = 4;
Msn.VE.API.Globals.vemaplatitude = 43.75;
Msn.VE.API.Globals.vemaplongitude = -99.71;
Msn.VE.API.Globals.vemapstyle = "r";

//VE Pushpin Popup
Msn.VE.API.Globals.vepushpinpanelzIndex = 999;

//VE Error Messages
Msn.VE.API.Globals.vemessagepanelheight = 75;
Msn.VE.API.Globals.vemessagepanelzIndex = 99;

//VE Placelist 
Msn.VE.API.Globals.veplacelistpanelheight = 200;
Msn.VE.API.Globals.veplacelistpanelwidth = 350;
Msn.VE.API.Globals.veplacelistpanelzIndex = 300;

//VE Find Results panel
Msn.VE.API.Globals.vefindresultsnpanelwidth = 200;
Msn.VE.API.Globals.vefindresultsnpanelzIndex = 99;
Msn.VE.API.Globals.vefindresultsnpanelcolor = "blue";


//App settings
//Search constants
Msn.VE.API.Globals.vecurrentsearchindex = 1;
Msn.VE.API.Globals.vesearchpoiresults = null;
Msn.VE.API.Globals.vesearchlocresults = null;

//Commercial Control Settings
Msn.VE.API.Globals.veiscommercialcontrol = false;

//Oblique
Msn.VE.API.Globals.veobliqueMode = null;

//Dispose
Msn.VE.API.Globals.Dispose = function()
{
	Msn.VE.API.Globals.veonbegininvokeevent = null;
	Msn.VE.API.Globals.veonendinvokeevent = null;	
	Msn.VE.API.Globals.vefindresultsnpanel = null;
}

Msn.VE.API.Globals.PosX = function(e)
{
	var posx = 0;
	if (!e) var e = window.event;
	if (e.pageX)
	{
		posx = e.pageX;
	}
	else if (e.clientX)
	{
		posx = e.clientX + document.body.scrollLeft;
	}
	
	return posx;
}
Msn.VE.API.Globals.PosY = function(e)
{
	var posy = 0;
	if (!e) var e = window.event;
	if (e.pageY)
	{
		posy = e.pageY;
	}
	else if (e.clientY)
	{
		posy = e.clientY + document.body.scrollTop;
	}			
	return posy;
}

//Help
function VE_Help()
{
}

//Hacks to get rid of errors
RegisterNamespaces("Msn.VE.Constants.Css");
var header = document.getElementsByTagName("body")[0];
var VE_ContextMenu = null;

// set the s_account
s_account = Msn.VE.API.Globals.veomnitureaccount;