//------------------------------------------------------------------------------
// MapControl/Logo.js
//
// <copyright from='2004' to='2005' company='Microsoft Corporation'> 
// Copyright (c) Microsoft Corporation. All Rights Reserved. 
// Information Contained Herein is Proprietary and Confidential. 
// </copyright>
//
// Owner: CodyE, keithkin
//
// <header>	$Header$</header>
//------------------------------------------------------------------------------

function Logo(parent)
{
	var image = null;

	// Create the logo element
	this.Init = function()
	{	
		if (navigator.userAgent.toLowerCase().indexOf("msie") != -1)
		{
			image = document.createElement("div");
			image.className = "PoweredByLogo PoweredByLogo_ie";
			
			//Adjust the logo filter for IE if we are running the API since the image has to be served up from
			//the VE domain instead of the domain the API mashup is coming from.
			if (Msn.VE.API != null)
			{
				image.style.filter = "progid:DXImageTransform.Microsoft.AlphaImageLoader(src='" + Msn.VE.API.Globals.vecurrentdomain + "/" + MapControl.Features.Image.PoweredLogo + "', sizingMethod='scale')";
			}
		}
		else
		{
			image = document.createElement("img");
			var imgPrefix = "http://" + location.host;
			
			//Adjust the logo location if running the API to the current domain
			if (Msn.VE.API != null)
			{
				imgPrefix = Msn.VE.API.Globals.vecurrentdomain;
			}
			image.src = imgPrefix + "/" + MapControl.Features.Image.PoweredLogo;
			image.className = "PoweredByLogo";
		}
		
		
		image.onclick = function(){window.open('http://local.live.com');};
				
		Reposition();
		parent.appendChild(image);
	};
	
	this.Destroy = function()
	{
		parent.removeChild(image);
		image = null;
	};

	// Reposition the logo
	function Reposition()
	{
		image.style.top = (height - 40) + "px";
		image.style.left = "6px";
		image.style.display = "block";
	}

	// Update the logo
	function Update()
	{
		Reposition();
	}
	
	this.Reposition = Reposition;
	this.Update = Update;
}
