//------------------------------------------------------------------------------
// JS/MsnRedirect.js 
//
// <copyright from='2004' to='2005' company='Microsoft Corporation'> 
// Copyright (c) Microsoft Corporation. All Rights Reserved. 
// Information Contained Herein is Proprietary and Confidential. 
// </copyright>
//
// Owner: a-pratin
//
// <header>	$Header$</header>
//------------------------------------------------------------------------------
function GetMsnRedirectPath( msnCulture )
{
	if ( msnCulture == null || msnCulture == undefined )
		return "http://maps.msn.com";
	
	var path = null;	
	msnCulture = msnCulture.toLowerCase();
	
	switch ( msnCulture )
	{
		//Australia/English
		case "en-au" : 
			path = "http://maps.ninemsn.com.au";
			break;
		//Austria/German
		case "de-at" :	
			path = "http://maps.msn.at";
			break;
		//Belgium/Dutch
		case "nl-be" :
			path = "http://maps.msn.be";
			break;
		//Belgium/French
		case "fr-be" :
			path = "http://maps.fr.msn.be";		
			break;
		//Canada/English
		case "en-ca" :
			path = "http://maps.sympatico.msn.ca";
			break;
		//Canada/French
		case "fr-ca" :
			path = "http://fr.maps.sympatico.msn.ca";		
			break;
		//France/French
		case "fr-fr" :
			path = "http://maps.msn.fr";
			break;
		//Germany/German
		case "de-de" :
			path = "http://maps.msn.de";
			break;
		//Italy/Italian
		case "it-it" :
			path = "http://maps.msn.it";
			break;
		//Netherlands/Dutch
		case "nl-nl" :
			path = "http://maps.msn.nl";
			break;
		//Spain/Spanish
		case "es-es" :
			path = "http://maps.msn.es";
			break;		
		//United Kingdom/English
		case "en-gb" :
			path = "http://maps.msn.co.uk";
			break;
		//United States/English
		case "en-us" :
			path = "http://maps.msn.com";
			break;
		//United States/Spanish
		case "es-us" :
			path = "http://maps.latino.msn.com";
			break;
		default :
			path = "http://maps.msn.com";
	}		
	return path;			
}