//------------------------------------------------------------------------------
// Search.js 
//
// <copyright from='2004' to='2005' company='Microsoft Corporation'> 
// Copyright (c) Microsoft Corporation. All Rights Reserved. 
// Information Contained Herein is Proprietary and Confidential. 
// </copyright>
//
// Owner: Codye, sstchur
//
// <header>	$Header$</header>
//------------------------------------------------------------------------------

var searchCounter = 0;
var searches = new Array();
var autoRefreshEnabled = 1;
var nextAutoRefresh = 0;
var activeSearch = null;
var useCurrentViewText = L_SearchUseCurrentViewText_Text;
var maxsearches = 5;

function Search(category)
{
	var txtWhat = document.forms['wwf']['what'];	
	var what = fieldIsEmpty(txtWhat) ? '' : txtWhat.value;		
	var where = document.wwf.where.value;
	var categoryId = -1;
	if(category != null && category != "undefined" && category > 0)
	{
		categoryId = category;
	}
	
	if (what == L_MainWhatHelp_Text && where == L_SearchUseCurrentViewText_Text)
		return;
	
	if (fieldIsEmpty(what) && fieldIsEmpty(where))	
		return;		
	
	// If where equals default text or if it equals whatever the last entered Where value was, empty out the variable.
	if(where == useCurrentViewText || where == Msn.VE.Search.strLastWhere)	
	{
		where = '';	
	}
	else 
	{
		if (where) 		
			Msn.VE.Search.strLastWhere = where;		
	}
	
	if (what == L_MainWhatHelp_Text)
		what = '';
		
	if(where == L_MainWhereHelp_Text || where == L_SearchUseCurrentViewText_Text)
		where = '';

	if (what != '')
		toggleTaskArea(true);
	
	HideAmbiguousList();
	viewportSetFromAmbiguousSelect = false;
	
	CloseOpenPopup();	
	
	if(categoryId == -1)
	{
		VE_SearchManager.Search(what, where);		
	}
	else
	{
		VE_SearchManager.Search(what, where, categoryId);				
	}
	VE_Analytics.Log("VE | Search","Local Search");		
	
	/*	As a convenience to the user, we focus the what box and select the text after a successful search, so he can go ahead
			and immediately perform another search if he likes */
	var txtWhat = document.getElementById('what');
	if (txtWhat.value != L_MainWhatHelp_Text)
		txtWhat.select();
}

function WebSearch(e)
{
	if(!e) e = window.event;
	var what = document.wwf.what.value;
	var where = document.wwf.where.value;
	var lat = map.GetCenterLatitude ();
	var lon = map.GetCenterLongitude ();
	lat = lat.toFixed ( 6 );
	lat = lat.toString ( );
	lon = lon.toFixed ( 6 );
	lon = lon.toString ( );
	
	// If where equals default text, empty out the variable.
	if(where == useCurrentViewText || where == "" || where == null)
	{
		where = "";
	}
	else
	{
		lat = "";
		lon = "";
	}
	
	if(what == "" && where == "")
	{
		return;
	}
	
	var url = msnWebSearchUrl.replace(/\{0\}/, msnSearchDomain);
	url = url.replace(/\{1\}/, IOSec.EncodeUrl(what));
	url = url.replace(/\{2\}/, IOSec.EncodeUrl(where));
	url = url.replace(/\{3\}/, IOSec.EncodeUrl(lat));
	url = url.replace(/\{4\}/, IOSec.EncodeUrl(lon));
	var title = "WebSearch" + what.replace(/\W/g, "") + where.replace(/\W/g, "");
	
	OpenNewWindow(url, title, "all");
	
	// Stop mozilla from submitting the form.
	if (e.preventDefault)
	{
		e.preventDefault();
	}
}

function SearchWithCategory(id, phrase, searchId)
{
	if(id != null && id != "undefined" && id > 0)
	{
		var p = null
		var index = searchId;

		var len = VE_SearchManager.searches.length;
		for(var i=0;i<len;i++)
		{
			if(VE_SearchManager.searches[i] == null)
				continue;
			if(VE_SearchManager.searches[i].phrase == phrase)
			{
				index = VE_SearchManager.searches[i].index;
				p = VE_SearchManager.searches[i].panel;
				break;
			}
		}

		if(p != null)
		{
			taskArea.removeItem(p);	
			VE_SearchManager._RemoveSearch(index);			
		}
		
		document.wwf.what.value = phrase;
		Search(id);
	}
}

function AutoRefresh()
{
	VE_SearchManager.RefreshAll();
}

function MsnVESearchCtor ()
{
	// Stores the previous contents of the Where search textbox.
	// This is done in order to prevent the regeocoding of the
	// contents of the Where textbox, which now retains entered
	// addresses until a panning action occurs. 
	this.strLastWhere = "";	
}

Msn.VE.Search = new MsnVESearchCtor ();
