//------------------------------------------------------------------------------
// XmlHttp.js 
//
// <copyright from='2004' to='2005' company='Microsoft Corporation'> 
// Copyright (c) Microsoft Corporation. All Rights Reserved. 
// Information Contained Herein is Proprietary and Confidential. 
// </copyright>
//
// Owner: CodyE
//
// <header>	$Header$</header>
//------------------------------------------------------------------------------


// Gets an XmlHttp object, if the browser supports it.
function GetXmlHttp()
{
	var req = null;
	
	// Check for the W3C Standard way of invoking an XMLHTTP Object first
	if (window.XMLHttpRequest)
		req = new XMLHttpRequest();
	else if (window.ActiveXObject)	
	{
		// This isn't strictly necessary, as the verion independent XMLHTTP 'Microsoft.XMLHTTP' should be adequate
		try { req = new ActiveXObject('Msxml2.XMLHTTP'); }
		catch(everything)
		{
			try { req = new ActiveXObject('Microsoft.XMLHTTP'); }
			catch(everything) { }
		}
	}
	else
		alert('XMLHTTP Required: Browser not supported');
		
	return req;
	
	
	
	/*
	var x = null;
	try { x = new ActiveXObject("Msxml2.XMLHTTP") }
	catch(e) { try { x = new ActiveXObject("Microsoft.XMLHTTP") }
	catch(e) { x = null } }
	if(!x && typeof XMLHttpRequest != "undefined") { x = new XMLHttpRequest() }
	return x;
	*/
	
}
