// Copyright 2005 Microsoft Corporation
// Version number : 1.3.0518
//------------------------------------------------------------------------------
//
// <copyright from='2004' to='2005' company='Microsoft Corporation'> 
// Copyright (c) Microsoft Corporation. All Rights Reserved. 
// Information Contained Herein is Proprietary and Confidential. 
// </copyright>
//
// Owner: cthota
//
// <header>	$Header$</header>
//------------------------------------------------------------------------------

function VEGeotager()
{
}

VEGeotager.___skipfocus = null;
VEGeotager.__geoTaggingWindow = null;
VEGeotager.__interval = null;
VEGeotager.__selectedText = null;
VEGeotager.__geotagger = new Object();
VEGeotager.__ongeotagcallback = null;

VEGeotager.skipFocus = function(sf)
{
	VEGeotager.___skipfocus = sf; 
}
 
VEGeotager.CheckWindowStatus = function()
{
	try
	{
		if (VEGeotager.__geoTaggingWindow.closed)
		{
			window.clearInterval(VEGeotager.__interval);
			if(VEGeotager.__geotagger.value != null && 
				VEGeotager.__geotagger.value != "" && 
				VEGeotager.__geotagger.value != "undefined")
			{
				if(VEGeotager.__ongeotagcallback != null)
				{
					VEGeotager.__ongeotagcallback(VEGeotager.__geotagger.value, VEGeotager.__geotagger.metavalue);
				}
			} 
			else
			{
				//do nothing?
			}       			
			VEGeotager.__geotagger.value = null;
			VEGeotager.__geotagger.metavalue = null;
			return;			
		}
		else
		{
			if(VEGeotager.__geoTaggingWindow && 
				VEGeotager.__geoTaggingWindow.inputplace)
			{
				if (!VEGeotager.___skipfocus)				 
					VEGeotager.__geoTaggingWindow.focus();
			}
		}
	}
	catch (errors) 
	{   
		//window.status = errors.message;
	}
}

VEGeotager.GetSelectedText = function(el)
{
	if(el == null || el == "undefined")
	{	
		if (window.getSelection)
		{
			return window.getSelection();
		}
		else if (document.getSelection)
		{
			return document.getSelection();
		}
		else if (document.selection)
		{
			return document.selection.createRange().text;
		}
	}
	else if(el.getSelection)
	{
		return document.getSelection();	
	}
	else if (el.selection)
	{
		return el.selection.createRange().text;
	}
	else
		return null;
}	     

VEGeotager.ApplyGeoTags = function(text, onGeotagCallback)
{
	VEGeotager.__geotagger.value = null;
	VEGeotager.__geotagger.metavalue = null;
	VEGeotager.__ongeotagcallback = onGeotagCallback;

	VEGeotager.__selectedText = VEGeotager.Trim(text);

	if(VEGeotager.__selectedText == null || VEGeotager.__selectedText.length == 0)
	{
		return;
	}
	
	VEGeotager.__geotagger.value = null;
	VEGeotager.__geotagger.metavalue = null;
	
	VEGeotager.__geoTaggingWindow=window.open("__geotagerpath__?b=" + VEGeotager.__selectedText, "", "width=500,height=350,left=325,top=300,toolbar=0,location=0,status=0,menubar=0,scrollbars=0,resizable=0"); 
	
	//Set focus
	VEGeotager.__geoTaggingWindow.focus(); 
	VEGeotager.__interval = window.setInterval("VEGeotager.CheckWindowStatus()",1000);
}	

VEGeotager.Trim = function (value)
{
	if(value != null && value != "undefined")
		return value.replace(/^\s*|\s*$/g,"");
	else
		return "";
}
///END of VE Geotagger
