//------------------------------------------------------------------------------
//
// <copyright from='2004' to='2005' company='Microsoft Corporation'> 
// Copyright (c) Microsoft Corporation. All Rights Reserved. 
// Information Contained Herein is Proprietary and Confidential. 
// </copyright>
//
// Owner: cthota, shankak, a-pratin
//
// <header>	$Header$</header>
//------------------------------------------------------------------------------

//vars
var __map=null;
var __x = null;
var pathindex = location.pathname.lastIndexOf("/");
var pinurl = location.protocol + "//" + location.hostname + location.pathname.substring(0,pathindex) + "/i/pins/poi_usergenerated.gif";
var currentLat = null;
var currentLon = null;	
var toolbar = false;
		

//Dummy
function VE_Scratchpad()
{
}
VE_Scratchpad.AddLocation = function (a, b, c)
{
	return;
}

function GetUrlParameterString()
{
	var urlParameterString = window.location.search;
	
	// Exit early if we have no parameters passed in the url.
	if (urlParameterString.length == 0 || urlParameterString.indexOf("?") == -1)
	{
		return "";
	}

	// Strip out initial ?
	return urlParameterString.substr(urlParameterString.indexOf("?") + 1);
}

function GetUrlParameters()
{
	var parameters = new Array();
	var urlParameterString = GetUrlParameterString();
	
	if (!urlParameterString)
	{
		return parameters;
	}
	
	// Split into parameter strings on & - ex. abcd=jas%20ew&akw9=29  [abcd=jaw%20ew, akw9=29, etc.]
	var parameterStrings = urlParameterString.split("&");
	
	// Split the parameter strings into name/value pairs on = - ex  abcd=jas%20ew -> [abcd, 'jas ew']
	for (var i = 0; i < parameterStrings.length; i++)
	{
		var parameterParts = parameterStrings[i].split("=");
		// Only bother with those that actually have both a name & value.
		if (parameterParts.length == 2 && parameterParts[0] && parameterParts[1])
		{
			parameters.push(unescape(parameterParts[0]));
			parameters.push(unescape(parameterParts[1]));
		}
	}
	
	return parameters;
}			

function GetXmlHttp()
{
	x = null;
	try
	{ 
		x = new ActiveXObject("Msxml2.XMLHTTP");
	}
	catch (ex)
	{ 
		try
		{
			x = new ActiveXObject("Microsoft.XMLHTTP");
		}
		catch (ex)
		{
			x = null;
		}
	}
	
	if (!x && typeof XMLHttpRequest != "undefined")
	{
		x = new XMLHttpRequest();
	}				
}
function Main()
{

	var height = 0;
	var width = 0;
	
	//Get params
	var parms = GetUrlParameters();				

	//Load UI
	document.title = L_WindowTitle_Text.replace(/%1/g,Msn.VE.Features.ProductName);
	document.getElementById("gobutton").value = L_Search_Text;
	document.getElementById("movepintext").innerHTML = L_MovePin_Text
	document.getElementById("okbutton").value = L_OK_Text;
	document.getElementById("cancelbutton").value = L_Cancel_Text;
	document.getElementById("viewlargermapbutton").value = L_ViewLargerMap_Text;
	
	//Wireup events
	var elm = document.getElementById("inputplace");	
	elm.onpaste = HandleOnPaste;
	
	elm.attachEvent('onfocus', InputPlaceOnFocus);
	elm.attachEvent('onblur', InputPlaceOnBlur);	
	
	//See if the request is coming from a toolbar
	if(parms != null && parms.length > 0)
	{		
		for(var i=0;i<parms.length;i+=2)
		{
			if(parms[i] == "clean")
			{
				toolbar = true;
			}
			else if(parms[i] == "h")
			{
				try
				{
					height = parseInt(parms[i+1]);
				}
				catch(ex)
				{
					//swallow
				}
			}
			else if(parms[i] == "w")
			{
				try
				{
					width = parseInt(parms[i+1]);
				}
				catch(ex)
				{
					//swallow
				}
			}
		}
	}
		
	//Register namespaces
	RegisterNamespaces("Msn.VE");
	var el = document.getElementById("mapcontainer");				
	
	var params = new Object();
	//params.latitude = 41.9;
	//params.longitude = -69.52
	params.zoomlevel = 2;
	params.mapstyle = "r";
	
	if(toolbar)
	{
		params.showDashboard = true;	
		params.obliqueEnabled = false;
		params.showScaleBar = true;
		params.dashboardSize = Msn.VE.DashboardSize.Tiny;
		params.dashboardX = 3;
		params.dashboardY = 3;			
		//document.getElementById("gobutton").style.display = "none";					
		document.getElementById("movepintext").style.display = "none";
		document.getElementById("okcancel").style.display = "none";		

		document.getElementById("input").style.display = "none";
		
		//Set height and width
		if(height > 0 && width > 0)
		{
			var maindiv = document.getElementById("main");
			maindiv.style.height = height;
			maindiv.style.width = width;
			el.style.height = height;
			el.style.width = width;
		}	
	}
	else
	{
		document.getElementById("viewlargermapbutton").style.display = "none";
		params.showDashboard = true;
		//params.dashboardSize = Msn.VE.DashboardSize.Small;
		params.dashboardX = 3;
		params.dashboardY = 3;
		params.showScaleBar = false;				
		params.obliqueEnabled = true;
		params.obliqueUrl = "imagery.ashx";
	}
	__map = new Msn.VE.MapControl(el, params);
	__map.Init();								
	
	//Attach event
	if(toolbar)
	{	
		//To fix bug 4660 and 4661, don't open ve upon onclick event.
		//document.body.onclick = GetPermalink;		
	}
	else
	{
		__map.AttachEvent("onclick", SetCenterAndAddPin);							
	}
	
	if(parms == null || parms.length <= 0)
	{
	}
	else
	{				
		//Assign place value
		document.getElementById("inputplace").value = parms[1];
		if(document.getElementById("inputplace").value != null && 
		document.getElementById("inputplace").value != "undefined" && 
		document.getElementById("inputplace").value.length > 0)
		{
			ExecuteResponse();	
		}
	}

}


function SetCenterAndAddPin(e)
{				
	var el = document.getElementById("movepin");
	if(e)
	{
		if(el.checked)
		{
			__map.RemovePushpin("1");				
			__map.AddPushpin("1", 
			e.view.latlong.latitude, 
			e.view.latlong.longitude,	
			35, 35, 
			null,
			"<img src='" + pinurl + "' border=0>",
			31);
			
			currentLat = e.view.latlong.latitude;
			currentLon = e.view.latlong.longitude;
		}
	}
	else
	{
		//Add a pushpin
		__map.RemovePushpin("1");					
		__map.AddPushpin("1", 
		__map.GetCenterLatitude(), 
		__map.GetCenterLongitude(),	
		35, 35, 
		//null,
		"geotager_Pushpin",
		"<img src='" + pinurl + "' border=0>",
		31);
		currentLat = __map.GetCenterLatitude();
		currentLon = __map.GetCenterLongitude();					
		__map.SetZoom(14);									
	}	
}

function ExecuteResponse()
{

	if(document.getElementById("inputplace").value == null ||
	document.getElementById("inputplace").value == "undefined" ||
	document.getElementById("inputplace").value == "")
	{
		DisplayError(null);
		return;
	}

	//GetXML Http
	GetXmlHttp();
	
	// Send the request
	if(x)
	{
		var url = "search.ashx?a=&b=" + document.getElementById("inputplace").value;
		x.open("POST", url, true);
		x.onreadystatechange = function(){
									if(x.readyState==4) 
									{
										var code = x.responseText;
										try
										{
											eval("__map." + code);																																	
											SetCenterAndAddPin(null);
										}
										catch(ex)
										{
											// Swallow exceptions.  Don't display JavaScript errors to the user.
											DisplayError(null);
										}
									}
								}
		x.send("");
	}								
	return;
}
function DisplayError(errormessage)
{
	var el=document.getElementById("errormessage");
	el.style.display="block";	
	
	var el_map = document.getElementById("mapcontainer");	
	
	el.style.left = '30px';
	el.style.width = (el_map.offsetWidth - 30 * 2) + 'px';
	el.style.paddingRight = '5px';
	el.style.paddingLeft = '5px';
	el.style.paddingBottom = '5px';
	el.style.paddingTop = '5px';
	
	if(errormessage == null)
		el.innerHTML=L_ErrorMessage_Text;
	else
		el.innerHTML=errormessage;				
		
	window.setInterval("document.getElementById('errormessage').style.display='none';",5000);							
}
function SelectAmbiguousList(name, lat1, lon1, lat2, lon2)
{
	var el = document.getElementById("locationselect");
	el.style.display = "none";							
	__map.SetViewport(lat1, lon1, lat2, lon2);
	
	// the following html encoding handling code is based on snippet in SetAmbiguousViewport(e) of js\ambiglist.js
	var tmp = document.createElement('span');
	tmp.innerHTML = name;
	var itemText = tmp.firstChild.nodeValue;
	document.getElementById("inputplace").value = itemText;
	tmp = null;					// don't need this anymore

	SetCenterAndAddPin(null);
}			
function UpdateAmbiguousList(placeList)
{				
	//return;
	var el = document.getElementById("locationselect");
	
	el.innerHTML = "";
	
	if(placeList != null && placeList != "undefined")
	{				
		if(toolbar == true)
		{
			SelectAmbiguousList(placeList[0][0],placeList[0][1],placeList[0][2],placeList[0][3],placeList[0][4]);
			return;
		}				
		for(var i = 0; i < placeList.length; i++)
		{
			var d = document.createElement('a');
			d.id = i;
			d.className = "placelistitem";
			d.onmouseover = function(){this.className="placelistitemDark";};
			d.onmouseout = function(){this.className="placelistitem";};
			var code = "SelectAmbiguousList(\"" + placeList[i][0]+ "\"," + placeList[i][1] + "," + placeList[i][2] + "," + placeList[i][3] + "," + placeList[i][4] + ");";
			//d.onclick = function(){eval(code);};
			d.href = "javascript:" + code;
			d.innerHTML = placeList[i][0] + "<br>";
			el.appendChild(d);					
		}
	}			
	el.style.display="block";
}
function Search(e)
{
	var evt = (e ? e : window.event);
	if(evt && evt.keyCode == 13)
	{
		ExecuteResponse();
	}
}
function GetPermalink()
{
	var metalink = "<META NAME='geo.position' CONTENT='" + __map.GetCenterLatitude() + ";" + __map.GetCenterLongitude() + "'>";	
		
	plink += "?v=2&cp=" + __map.GetCenterLatitude() + "~" + __map.GetCenterLongitude() + "&style=" + __map.GetMapStyle() + "&lvl=" + __map.GetZoomLevel();
	
	if (currentLat != null && currentLon != null)
		{ plink += "&sp=aN." + currentLat + "_" + currentLon + "_" + document.getElementById("inputplace").value; }
	
	plink += "&WIP=20";
	
	if(toolbar)
	{	
		window.open(plink);
		return;
	}
	
	if(window.opener)
	{
		window.opener.VEGeotager.__geotagger.value=plink;
		if(document.getElementById("geometa") && document.getElementById("geometa").checked == true)
		{
			window.opener.VEGeotager.__geotagger.metavalue=metalink;										
		}					
		else
		{
			window.opener.VEGeotager.__geotagger.metavalue=null;					
		}
		window.close();		
	}
	else
	{		
		document.location=plink;
	}	
}

function HandleOnPaste()
{
	//clipboard data and "onpaste" handler currently
	//only supported in IE and Safari
	if(window.clipboardData)
	{
		var before = window.clipboardData.getData("Text","");
		var after = before.replace(/[\n\r]+/g,", ");		
		window.clipboardData.setData("Text",after);
	}
}
function InputPlaceOnFocus(e)
{
	if(window.opener != null && window.opener.VEGeotager != null)
	{
		window.opener.VEGeotager.skipFocus(true);
	}
	var target =  e.target || e.srcElement;
	if(target)
		target.select();
}
function InputPlaceOnBlur(e)
{
	if(window.opener != null && window.opener.VEGeotager != null)
	{
		window.opener.VEGeotager.skipFocus(false);
	}
}

function Dispose()
{
	if(__map)
	{
		__map.Destroy();
	}
}
