//------------------------------------------------------------------------------
// scopingbar.js 
//
// <copyright from='2004' to='2005' company='Microsoft Corporation'> 
// Copyright (c) Microsoft Corporation. All Rights Reserved. 
// Information Contained Herein is Proprietary and Confidential. 
// </copyright>
//
// Owner: cthota
//
// <header>	$Header$</header>
//------------------------------------------------------------------------------


function VE_ScopingBar()
{
}

VE_ScopingBar.containerElementId = "";
VE_ScopingBar.scopesInterval = 1000;
VE_ScopingBar.scopeTries = 0;
VE_ScopingBar.scopesLoaded = false;
VE_ScopingBar.initialized = false;


VE_ScopingBar.Init = function(elId)
{		
	VE_ScopingBar.containerElementId = elId;
	VE_ScopingBar.PrefilWhatValue();	
}

VE_ScopingBar.PrefilWhatValue = function ()
{
	try
	{
		var urlParameters = GetUrlParameters();
		for (var i = 0; i < urlParameters.length; i += 2)
		{	
			if(urlParameters[i].toLowerCase()== VE_State.ItemSearches)
			{
				if(urlParameters[i+1] != null)
				{
					var parts = urlParameters[i+1].split("~");
					if(parts != null && parts.length > 0)
					{
						document.getElementById("what").value = parts[parts.length-1];
					}
					else
					{
						document.getElementById("what").value = urlParameters[i+1];					
					}
				}
				break;
			}
		}
	}
	catch(ex)
	{
		
	}
}

VE_ScopingBar.Show = function(flag)
{
	//This is the ugliest hack to put in since we dont have a better way 
	//to track when the scopes are loaded
	//According to Brian Ch when they redesign the scoping bar with newer object
	//model, this won't be necessary.
	if(!VE_ScopingBar.scopesLoaded)
	{
		if(VE_ScopingBar.scopeTries < 10)
		{
			VE_ScopingBar.scopeTries += 1;
			window.setTimeout("VE_ScopingBar.Show(false);", 2000);
		}
		return;
	}
	VE_ScopingBar.scopeTries = 0;
	var el = document.getElementById(VE_ScopingBar.containerElementId);	
	if(el != null && el != "undefined" && el.style != null)
	{	
		if(document.wwf.what != null && 
			document.wwf.what.value != null && 
			document.wwf.what.value != L_MainWhatHelp_Text && 
			document.wwf.what.value.length > 0)
		{
			
			/* Set the 'scopingBarVisible' class on the body which propogate to all of its children appropriately */
			if (document.body.className.indexOf('scopingBarVisible') == -1)		
			{
				document.body.className += ' scopingBarVisible';
				var p = taskArea.getCurrent();
				if (typeof p != 'undefined' && p != null)
				{
					p.height = 'auto';
					p.Resize();
				}
			}
			
			VE_ScopingBar.initialized = true;			
		}
		else
		{	
			VE_ScopingBar.Hide();	
		}
	}	
}

VE_ScopingBar.Hide = function()
{
	/* Remove the 'scopingBarVisible' class on the body which propogate to all of its children appropriately */
	document.body.className = document.body.className.replace(/\s*scopingBarVisible/g, '');			
	var p = taskArea.getCurrent();
	if (typeof p != 'undefined' && p != null)
	{
		p.height = 'auto';
		p.Resize();
	}	
	else if (taskArea.getCount() == 0)
	{
		var taskAreaHeight = document.body.clientHeight - header.offsetHeight - footer.offsetHeight + 3
		taskArea_data.style.height = taskAreaHeight + 'px';
	}		
	VE_ScopingBar.initialized = false;	
}

VE_ScopingBar_onLoadCallback = function ()
{
	VE_ScopingBar.scopesLoaded = true;	
}