<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<%@ Page Language = "C#" AutoEventWireup = "true" %>
<%@ Register TagPrefix = "live" Namespace = "Microsoft.Live.Controls" Assembly = "Microsoft.Live.Controls" %>
<%@ Import Namespace = "System.Web" %>

<html dir = "ltr" xmlns:Web = "http://schemas.live.com/Web/">
  <head>
		<title>What VE could be</title>
		<live:Themes Market = "en-US" Product = "hig" runat = "server" />
		
		<script runat = "server">		
			public void Page_Load(object sender, EventArgs e)
			{
				HtmlGenericControl search = new HtmlGenericControl();
				search.ID = "msve_search_form";
				
				search.InnerHtml =	@"<div id=""search"" style=""width: 322px;margin: 23px auto 10px auto;"">
																<form id=""sf"" action=""http://search.msn.com/results.aspx"" method=""get"">
																	<input type=""hidden"" name=""FORM"" value=""LIVE"" />
																	<div style=""float:left;background-image:url(http://shared.live-int.com/RIETGKBdbGwsRlBcE8nhsA/img/search.gif);background-repeat:no-repeat;"">
																		<input style=""background-color:transparent;border:none 0px transparent;height:19px;overflow:hidden;width:285px;padding:3px 3px 3px 8px;"" type=""text"" id=""what"" class=""searchEditInactive"" name=""q"" accesskey=""s"" maxlength=""150"" size=""35"" value="""" />																				
																	</div>
																	<div style=""float:left;background-image:url(http://shared.live-int.com/RIETGKBdbGwsRlBcE8nhsA/img/search.gif);background-repeat:no-repeat;"">
																		<input style=""background-color:transparent;border:none 0px transparent;height:19px;overflow:hidden;width:285px;padding:3px 3px 3px 8px;"" type=""text"" id=""where"" class=""searchEditInactive"" name=""q"" accesskey=""s"" maxlength=""150"" size=""35"" value="""" />																				
																	</div>																			
																	<input class = ""goButton"" type=""image"" value=""Search"" src=""http://shared.live-int.com/RIETGKBdbGwsRlBcE8nhsA/img/go.gif"" id=""searchButton"" style=""float:left;margin:0px;"" />
																</form>
															</div>";
				
				wl_header.SearchHtml = search;
			}
		</script>			
		
		<link rel = "stylesheet" type = "text/css" href="http://dev.virtualearth.net/standard/v2/MapControlx.css" />
		<link rel = "stylesheet" type = "text/css" href = "../taskarea/taskarea.css" />
		
		<style type = "text/css">
			html, body
			{
				position: relative;
				margin: 0;
				padding: 0;				
				height: 100%;
				overflow: hidden;
				
				font-family: verdana, arial, helvetica, sans-serif;
				font-size: 76%;
				
				background-color: #fff;
			}
			
			#theMap
			{
				position: relative;
				top: 0;
				left: 0;
				height: 100%;
				overflow: hidden;
				border: solid 1px #369;
			}
			

			.Map
			{
				position: absolute;
				top: 0;
				left: 0;
				width: 100%;
				height: 100%;
			}
			
			#taskArea
			{
				position: absolute;
				width: 25em;
				height: 100%;
				top: 0;
				padding-top: 13em;
				background-color: #ffccff;				
				border-right: 1px solid blue;
				z-index: 20;				
			}
			
			#myTaskArea_slider, #myTaskArea_border { border-right: 0 !important; }

		</style>
		
		
		<!-- Atlas Compatability Javascript for Mozilla (Firefox) browsers -->
		<!--[if !IE]>-->
			<script type = "text/javascript" src = "http://local.live.com/JS/AtlasCompat.js"></script>
		<!--<![endif]-->		
		
		<script type = "text/javascript" src = "../taskarea/taskareamanager.js"></script>
		<script type = "text/javascript" src = "http://dev.virtualearth.net/standard/v2/MapControl.js"></script>	
		<script type = "text/javascript" src = "./animation.js"></script>
		<script type = "text/javascript" src = "./microsoft.web.css.js"></script>
		<script type = "text/javascript" src = "./dockingstation.js"></script>
			
		<script type = "text/javascript">
			function init()
			{	
				setupMap();
				setupDockingStation();
				setupRoller();			
				setupTaskArea();
			}
			
			function setupDockingStation()
			{
				window.ds = new DockingStation();
				var header = ds.createArea(Layout.Location.Top, 100, 'header');
				header.getElement().style.zIndex = '1';
				var h = document.getElementById('header');				
				header.getElement().appendChild(h);
				//header.setColor('lightgreen');
				ds.dock(header);
				
				var footer = ds.createArea(Layout.Location.Bottom, 25, 'footer');
				//setColor('lightblue');
				ds.dock(footer);
				
				window.taskArea = ds.createArea(Layout.Location.Left, 270, 'taskArea');
				window.taskArea_elem = taskArea.getElement();
				//taskArea.setColor('orange');
				ds.dock(taskArea);
				
				var rightBorder = ds.createArea(Layout.Location.Right, 10, 'rightBorder');
				//rightBorder.setColor('red');
				ds.dock(rightBorder);
				
				var mapArea = ds.createArea(Layout.Location.Top, Layout.Fill, 'mapArea');
				mapArea.getElement().appendChild(document.getElementById('theMap'));
				ds.dock(mapArea);
				
				ds.redrawLayout();

				if (document.all)
					window.attachEvent('onresize', resize);
				else
					window.addEventListener('resize', resize, false);			
			}
			
			function setupTaskArea()
			{
				var ms = Microsoft_Web_UI_VirtualEarth;

				var  taskAreaObj = new ms.TaskArea('myTaskArea');
				
				var p1 = new ms.Panel('panel1');
				var p2 = new ms.Panel('panel2');
				var p3 = new ms.Panel('panel3');
				
				// Panel 1
				p1.setContent('Cool Panel', ms.Components.Panel.TitleBar);
				p1.appendContent(' - cool huh?', ms.Components.Panel.TitleBar);
				//p1.setContent('This is some very long text that will most likely wrap.  This long text illustrates what happens when long text exists in a panel that has been sized very small by the user via drag.', ms.Components.Panel.Data);
				
				// Panel 2
				var link = document.createElement('a');				
				link.innerHTML = 'About';
				link.attachEvent('onclick', function() { alert('Very cool Panel'); })				
				p2.addControl(link, ms.Components.Panel.Footer);
				
				var btn = document.createElement('input');
				btn.setAttribute('type', 'button');
				btn.value = 'Say "Hello!"';
				btn.attachEvent('onclick', function() { alert('Hello!'); })
				p2.addControl(btn, ms.Components.Panel.Data);
				
				// Panel 3
				p3.setContent('Footer here!', ms.Components.Panel.Footer);
				
				taskAreaObj.addPanel(p1);								
				taskAreaObj.addPanel(p2);
				taskAreaObj.addPanel(p3);				
				
				taskArea_elem.appendChild(taskAreaObj.getElement());		

				taskAreaObj.ondragresize = function(size)
				{
					taskArea.setWidth(size);
					ds.redrawLayout();
				}
			}			
			
			function resize()
			{
				ds.redrawLayout();
			}
		
			function setupMap()
			{
				window.map = null;			
				var params = new Object();
				params.latitude = 32.69;
				params.longitude = -117.13;
				params.zoomlevel = 12;
				params.mapstyle = Msn.VE.MapStyle.Road;
				params.showScaleBar = true;
				params.showDashboard = true;
				params.dashboardSize = Msn.VE.DashboardSize.Normal;
				params.dashboardX = 5;
				params.dashboardY = 5;
				map = new Msn.VE.MapControl(document.getElementById('theMap'), params);
				map.Init();
			}
			
			function setupRoller()
			{
				var ani = Microsoft.Web.Animation;
				
				var roller = new ani.Roller(taskArea_elem);
				roller.LeaveAmount = 10;
				roller.AccFunction = AccelerationFunctions.CrazyElevator;
				
				roller.onroll = function(_size)
				{
					taskArea.setWidth(_size)
					ds.redrawLayout();
				}				
				
				var expanded = true;
				taskArea_elem.attachEvent('onclick', toggle);
			
				function toggle(e)
				{
					if (e.srcElement != taskArea_elem)
						{ return; }
				
					if (expanded)						
					{
						roller.rollIn(ani.RollDirection.RightLeft);
						expanded = false;
					}
					else
					{
						taskArea_elem.style.width = '270px';
						roller.rollOut(ani.RollDirection.LeftRight);
						expanded = true;
					}
				}
			}
		</script>
  </head>
	
  <body onload = "init()">		
		<live:Header id = "wl_header" runat = "server" />
	
		<div id = "theMap"></div>		
		
		<!-- Windows Live Shared Components Framework Essentials -->
		<live:Framework runat = "server" />
		<script type = "text/javascript">Web.Runtime.init();</script>
	</body>
	
</html>