using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Xml;
using System.Xml.Xsl;
using System.IO;

namespace mab
{
	public class mab : System.Web.UI.Page
	{
		StreamReader sr;
		string mkt;
		
		private void Page_Load(object sender, System.EventArgs e)
		{
			mkt = Request.QueryString["mkt"];
			//string lang = mkt.Split('-')[0];
			//string locale = mkt.Split('-')[1];
		}
		
		protected override void Render(HtmlTextWriter htmlWriter)
		{
			using (sr = new StreamReader(Server.MapPath("~/xml/mab.xml")))
			{
				string str = sr.ReadToEnd();
				str = str.Replace("##locale##", mkt);
				
				XmlDocument doc = new XmlDocument();
				doc.LoadXml(str);
				
				// the Stylesheet property
				XslTransform xslt = new XslTransform();
				xslt.Load(Server.MapPath("~/xml/mab.xsl"));
					
				// Create a StringWriter object to hold the results of the XSL transformation
				// and call the Transform method on the m_docResults XmlDocument
				StringWriter strWriter = new StringWriter();
				xslt.Transform(doc, null, strWriter, null);
				
				// Render the results to the page
				htmlWriter.Write(strWriter.ToString());					
			}
		}



		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			InitializeComponent();
			base.OnInit(e);
		}
		
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);
		}
		#endregion
	}
}
