			function addEvent(elem, evt, fn, capture)
			{
				if (elem.addEventListener)
					{ elem.addEventListener(evt, fn, capture); }
				else if (elem.attachEvent)
					{ elem.attachEvent('on' + evt, fn); }
			}
			
			
			function RemoteController(_controller, _device)
			{
				var m_bControlling = false;
				addEvent(_controller, 'mousedown', MouseDown, false);
				//_controller.addEventListener('mousedown', MouseDown, false);
				addEvent(_controller, 'mouseup', MouseUp, false);
				//_controller.addEventListener('mouseup', MouseUp, false);
				addEvent(_controller, 'mousemove', MouseMove, false);
				//_controller.addEventListener('mousemove', MouseMove, false);
				addEvent(document, 'mousemove', DocMouseMove, false);
				//document.addEventListener('mousemove', DocMouseMove, false);
				
				var ul = Microsoft.Web.Geometry.Functions.getElementPosition(_controller);
				var lr = new Microsoft.Web.Geometry.Point(ul.x + _controller.offsetWidth, ul.y + _controller.offsetHeight);
				var center = ul;
				center.x += _controller.offsetWidth/2;
				center.y += _controller.offsetHeight/2;
				
				var dx = 0;
				var dy = 0;
				
				var slider = new Microsoft.Web.Animation.Slider(_device);
				slider.AccFunction = AccelerationFunctions.CrazyElevator;
				
				var controllerRect = new Microsoft.Web.Geometry.Rectangle(ul, lr);
				
				function MouseDown(e)
				{
					m_bControlling = true;
					var p;
					if (e.pageX)
						{ p = new Microsoft.Web.Geometry.Point(e.pageX, e.pageY); }
					else
						{ p = new Microsoft.Web.Geometry.Point(e.clientX, e.clientY); }
						
					dx = (p.x - center.x) * .25;
					dy = (p.y - center.y) * .25;
					window.intervalId = setInterval(MoveDevice, 50);
				}
				
				function MouseMove(e)
				{
					if (!m_bControlling)
						{ return; }
					
					var p;
					if (e.pageX)
						{ p = new Microsoft.Web.Geometry.Point(e.pageX, e.pageY); }
					else
						{ p = new Microsoft.Web.Geometry.Point(e.clientX, e.clientY); }
					dx = p.x - center.x;
					dy = p.y - center.y;
				}
				
				function DocMouseMove(e)
				{
					var target = e.target || e.srcElement;
					if (m_bControlling && target != _controller)
					{
						MouseUp();
					}
				}
				
				function MouseUp()
				{
					m_bControlling = false;
					clearInterval(intervalId);
				}
				
				function MoveDevice()
				{
					var p = Microsoft.Web.Geometry.Functions.getElementPosition(_device);
					
					p.x += dx;
					p.y += dy;
					
					_device.style.top = p.y + 'px';
					_device.style.left = p.x + 'px';
				}
				
				this.findDevice = function()
				{
					slider.slideToPoint(center);
				}
			}